Installation error?

Sailorman
Member
 
Posts: 11
Joined: Fri Dec 08, 2017 09:13
In-game: Sailorman

Installation error?

by Sailorman » Sat Dec 09, 2017 03:03

I have been attempting to install minetest 0.4.16 on ubuntu 16.04. Using the terminal command "sudo apt-get install minetest" installs 0.5 dev which is not what I require. When using the PPA's from this link:

https://launchpad.net/~minetestdevs/+ar ... ter=xenial

It installs minetest 0.4.13. Can I please get help with installing minetest 04.16? Thank you!
 

IhrFussel
Member
 
Posts: 20
Joined: Tue Nov 22, 2016 12:54
GitHub: IhrFussel
IRC: IhrFussel
In-game: IhrFussel

Re: Installation error?

by IhrFussel » Sat Dec 09, 2017 14:01

Sailorman wrote:I have been attempting to install minetest 0.4.16 on ubuntu 16.04. Using the terminal command "sudo apt-get install minetest" installs 0.5 dev which is not what I require. When using the PPA's from this link:

https://launchpad.net/~minetestdevs/+ar ... ter=xenial

It installs minetest 0.4.13. Can I please get help with installing minetest 04.16? Thank you!


That can't be right.

The normal minetest from the Ubuntu 16.04 repos will install 0.4.13
The PPA you linked will install 0.4.16

Try these commands:

sudo apt-get purge minetest
sudo apt-add-repository ppa:minetestdevs/stable
sudo apt-get update
sudo apt-get install minetest
 

Sailorman
Member
 
Posts: 11
Joined: Fri Dec 08, 2017 09:13
In-game: Sailorman

Re: Installation error?

by Sailorman » Sun Dec 10, 2017 04:23

This has installed minetest 0.5 dev. Is there another way?
 

Sailorman
Member
 
Posts: 11
Joined: Fri Dec 08, 2017 09:13
In-game: Sailorman

Re: Installation error?

by Sailorman » Sun Dec 10, 2017 04:24

IhrFussel wrote:
Sailorman wrote:I have been attempting to install minetest 0.4.16 on ubuntu 16.04. Using the terminal command "sudo apt-get install minetest" installs 0.5 dev which is not what I require. When using the PPA's from this link:

https://launchpad.net/~minetestdevs/+ar ... ter=xenial

It installs minetest 0.4.13. Can I please get help with installing minetest 04.16? Thank you!


That can't be right.

The normal minetest from the Ubuntu 16.04 repos will install 0.4.13
The PPA you linked will install 0.4.16

Try these commands:

sudo apt-get purge minetest
sudo apt-add-repository ppa:minetestdevs/stable
sudo apt-get update
sudo apt-get install minetest



This has installed minetest 0.5 dev. Is there another way?
 

dawgdoc
Member
 
Posts: 159
Joined: Mon Feb 27, 2017 01:10
GitHub: dawgdoc

Re: Installation error?

by dawgdoc » Sun Dec 10, 2017 05:21

Sailorman wrote:
IhrFussel wrote:
Try these commands:

sudo apt-get purge minetest
sudo apt-add-repository ppa:minetestdevs/stable
sudo apt-get update
sudo apt-get install minetest



This has installed minetest 0.5 dev. Is there another way?

The PPA lhrFussel shows is what I used to install MT 0.4.16. When I follow the link you posted, Sailorman, it takes me to builds for 0.4.16. Is there any chance you installed the daily builds PPA?

I would suggest checking you sources file to be certain == /etc/apt/sources.list.d/ If you did use the PPA for MT 0.4.16 you should see minetestdevs-stable-xenial.list as a text file. You could check from a terminal with
Code: Select all
ls /etc/apt/sources.list.d

If you accidentally installed the daily build PPA the repository will probably be something like:
minetestdevs-daily-xenial.list
 

Sailorman
Member
 
Posts: 11
Joined: Fri Dec 08, 2017 09:13
In-game: Sailorman

Re: Installation error?

by Sailorman » Sun Dec 10, 2017 05:49

dawgdoc wrote:
Sailorman wrote:
IhrFussel wrote:
Try these commands:

sudo apt-get purge minetest
sudo apt-add-repository ppa:minetestdevs/stable
sudo apt-get update
sudo apt-get install minetest



This has installed minetest 0.5 dev. Is there another way?

The PPA lhrFussel shows is what I used to install MT 0.4.16. When I follow the link you posted, Sailorman, it takes me to builds for 0.4.16. Is there any chance you installed the daily builds PPA?

I would suggest checking you sources file to be certain == /etc/apt/sources.list.d/ If you did use the PPA for MT 0.4.16 you should see minetestdevs-stable-xenial.list as a text file. You could check from a terminal with
Code: Select all
ls /etc/apt/sources.list.d

If you accidentally installed the daily build PPA the repository will probably be something like:
minetestdevs-daily-xenial.list



I see "minetestdevs-ubuntu-daily-builds-xenial.list" and "minetestdevs-ubuntu-daily-builds-xenial.list.save"
 

dawgdoc
Member
 
Posts: 159
Joined: Mon Feb 27, 2017 01:10
GitHub: dawgdoc

Re: Installation error?

by dawgdoc » Sun Dec 10, 2017 07:14

Sailorman wrote:I see "minetestdevs-ubuntu-daily-builds-xenial.list" and "minetestdevs-ubuntu-daily-builds-xenial.list.save"

That repository would indicate you will continue to get the daily builds of MT, the 0.5 build.

I would run the first command posted by lhrFussel, update your package manager, and then recheck your sources list:
Code: Select all
sudo apt-get purge minetest
sudo apt-get update
ls /etc/apt/sources.list.d

If all went as it should there will be no reference to minetest in the output. At this point run the final three commands posted by lhrFussel.
 

Sailorman
Member
 
Posts: 11
Joined: Fri Dec 08, 2017 09:13
In-game: Sailorman

Re: Installation error?

by Sailorman » Sun Dec 10, 2017 08:55

dawgdoc wrote:
Sailorman wrote:I see "minetestdevs-ubuntu-daily-builds-xenial.list" and "minetestdevs-ubuntu-daily-builds-xenial.list.save"

That repository would indicate you will continue to get the daily builds of MT, the 0.5 build.

I would run the first command posted by lhrFussel, update your package manager, and then recheck your sourcERROR: '~minetestdevs-ubuntu-daily-builds-xenial.list' user or team does not exist.
es list:
Code: Select all
sudo apt-get purge minetest
sudo apt-get update
ls /etc/apt/sources.list.d

If all went as it should there will be no reference to minetest in the output. At this point run the final three commands posted by lhrFussel.



Unfortunately, this has not had the desired effect. Nothing has changed, thanks for helping though!
 

Sailorman
Member
 
Posts: 11
Joined: Fri Dec 08, 2017 09:13
In-game: Sailorman

Re: Installation error?

by Sailorman » Mon Dec 11, 2017 06:39

Thank you everyone for your help! It turns out the daily builds PPA had been listed multiple times. I have removed them and I now have minetest 0.4.16! See you in-game!
 


Return to Bugs and Problems



Who is online

Users browsing this forum: No registered users and 2 guests